﻿$ErrorActionPreference = 'Stop'

$toolsPath   = Split-Path $MyInvocation.MyCommand.Definition
$download_dir = "$Env:TEMP\chocolatey\$packageName\$Env:ChocolateyPackageVersion"

$packageArgs = @{
  packageName    = 'universal-ctags'
  url            = 'https://github.com/universal-ctags/ctags-win32/releases/download/2021-08-11/p5.9.20210808.0-3-gb537b4ff/ctags-2021-08-11_p5.9.20210808.0-3-gb537b4ff-x86.zip'
  url64Bit       = 'https://github.com/universal-ctags/ctags-win32/releases/download/2021-08-11/p5.9.20210808.0-3-gb537b4ff/ctags-2021-08-11_p5.9.20210808.0-3-gb537b4ff-x64.zip'
  checksum       = 'D951297270217F940493AD5A80A25CEA8193234767869AC4903721EC8EF53D1D'
  checksum64     = '8AB79E18C7DE3F7B7A79324AB2CE706C5BED485E041F84163AB7797C6234320E'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = $toolsPath
}
Install-ChocolateyZipPackage @packageArgs
